// Имитатор кнопки Назад
// ---------------------
function BackRU()
{
  window.history.back();
  return false;
}

function BackUnitRU(n)
{
 var str = '<DIV class=pagemenu style="background:no-repeat center right url(pic/unit'+n+'.gif)">'+
             '<A href="javascript:void BackRU()">возврат</A></DIV>';
 document.write(str);
}

function emptyf()
{
  return false;
}

function  NewBrouserRU(html, okno)
{
   var num;
   if (NewBrouserRU.arguments.length < 2)
      num = window.open(html,"","left=100,top=100,width=500,height=400,menubar=1,resizable=1,scrollbars=1");
   else
      num = window.open(html,"", okno);
   num.focus();
   return num;
}

function IsOpenWin(w)
{
  return w != null && typeof(w)=="object" && !w.closed;
}


// -- Заголовочная часть с меткой --
// ind -- 0 для главной
// ---------------------------------
function titleWeb(ind)
{
  var str = "<DIV class=titbook><A ";
  if (ind==0) str += "-";
  str += "href='index.htm'><IMG src='pic/title.jpg' width=760 height=200 border=0 hspace=0 vspace=0 alt='Изучаю компьютер' title='Изучаю компьютер'></A>";
  str += "<IMG class=label src='pic/label.gif' border=0 hspace=0 vspace=0 alt='Регистрационная метка' title='Регистрационная метка'></DIV>";
  document.write(str);
}


// Авторская подпись 
// -----------------
function signRU()
{
  var str = '<DIV class=sign>&copy; 2008, 14 июля (<A href="history.htm">версия 2.1</A>) Александр Александрович Дуванов <A href="mailto:kurs@robotland.pereslavl.ru">kurs@robotland.pereslavl.ru</A></DIV>';
  document.write(str);
}

// ----
// Меню
// ----

// ----------
// Пункт меню
// ----------
// name    -- название позиции       
// link    -- ссылка               
// title   -- всплывающая надпись 
// -----------------------------
function ItemMenu (name, link, title)
{
  // свойства объекта
  this.name    = name;    // название позиции
  this.link    = link;    // ссылка
  this.title   = title;   // всплывающая надпись
}

// Пункты меню
// -----------

var ItemsMenu = new Array (
  new Array (new ItemMenu( "начало", "index.htm", "Начало"), null),

  new Array (new ItemMenu("старт",  "0.htm", "Как работать с книгой"),
               new Array (
                 new ItemMenu("практикум",  "0p.htm", "Практикум"),
                 new ItemMenu("зачёт",  "0z.htm", "Зачёт"),
                 new ItemMenu("ответы", "0t.htm", "Ответы")
                         )),

  new Array (new ItemMenu("тема 1",  "01.htm", "Знакомство с компьютером"),
               new Array (
                 new ItemMenu("основные части",  "0101.htm", "Основные части компьютера"),
                 new ItemMenu("дополнительные",  "0102.htm", "Дополнительные устройства"),
                 new ItemMenu("техника безопасности",  "0103.htm", "Техника безопасности")
                         )),

  new Array (new ItemMenu("тема 2",  "02.htm", "Компьютер&nbsp;&#151; наш помощник"),
               new Array (
                 new ItemMenu("помощники человека",  "0201.htm", "Помощники человека"),
                 new ItemMenu("как работает компьютер",  "0202.htm", "Как работает компьютер"),
                 new ItemMenu("программирование",  "0203.htm", "Программирование"),
                 new ItemMenu("профессии компьютера",  "0204.htm", "Профессии компьютера")
                         )),

  new Array (new ItemMenu("тема 3",  "03.htm", "Рабочий стол"),
               new Array (
                 new ItemMenu("что у нас на рабочем столе",  "0301.htm", "Что у нас на рабочем столе"),
                 new ItemMenu("панель задач",  "0302.htm", "Панель задач"),
                 new ItemMenu("работа с мышкой",  "0303.htm", "Работа с мышкой")
                         )),

  new Array (new ItemMenu("тема 4",  "04.htm", "Курсор"),
               new Array (
                 new ItemMenu("указатели и курсоры",  "0401.htm", "Указатели и курсоры"),
                 new ItemMenu("курсоры мыши",  "0402.htm", "Курсоры мыши"),
                 new ItemMenu("текстовый курсор",  "0403.htm", "Текстовый курсор")
                         )),

  new Array (new ItemMenu("тема 5",  "05.htm", "Пиктограмма"),
               new Array (
                 new ItemMenu("что такое пиктограмма",  "0501.htm", "Что такое пиктограмма"),
                 new ItemMenu("разнообразие пиктограмм",  "0502.htm", "Разнообразие пиктограмм"),
                 new ItemMenu("пиктограммы на экране компьютера",  "0503.htm", "Пиктограммы на экране компьютера")
                         )),

  new Array (new ItemMenu("тема 6",  "06.htm", "Программа и её окно"),
               new Array (
                 new ItemMenu("структура",  "0601.htm", "Структура окна"),
                 new ItemMenu("заголовок",  "0602.htm", "Заголовок окна"),
                 new ItemMenu("заголовок (продолжение)",  "0602_.htm", "Заголовок окна (продолжение)"),
                 new ItemMenu("меню и панели",  "0603.htm", "Меню и панели"),
                 new ItemMenu("рабочая область",  "0604.htm", "Рабочая область, прокрутка, строка состояния")
                         )),

  new Array (new ItemMenu("тема 7",  "07.htm", "Меню"),
               new Array (
                 new ItemMenu("что такое меню",  "0701.htm", "Что такое меню"),
                 new ItemMenu("компьютерные меню",  "0702.htm", "Компьютерные меню"),
                 new ItemMenu("компьютерные меню (продолжение)",  "0703.htm", "Компьютерные меню (продолжение)")
                         )),

  new Array (new ItemMenu("тема 8",  "08.htm", "Может ли компьютер думать?"),
               new Array (
                 new ItemMenu("программа &laquo;привет&raquo;",  "0801.htm", "Программа Привет"),
                 new ItemMenu("перевозчик",  "0802.htm", "Перевозчик"),
                 new ItemMenu("конюх",  "0803.htm", "Конюх")
                         )),

  new Array (new ItemMenu("тема 9",  "09.htm", "Контрольная работа"),
               new Array (
                 new ItemMenu("конспект книги",  "0901.htm", "Конспект книги")
                         ))
                         );

// Построение меню
// Входные параметры:
// item1  -- номер отмеченной позиции в меню первого уровня
// item2  -- номер отмеченной позиции в меню второго уровня или -1
// title3 -- название текущей страницы для хлебных крошек или "" 
// pos    -- положение меню: "up" -- сверху  
function putMenu(item1, item2, title3, pos)
{
  var str  = ""; // меню
  var str1 = ""; // меню первого уровня
  var str2 = ""; // меню второго уровня
  var str3 = ""; // хлебные крошки
  var i;
  
  // Меню первого уровня
  for (i=0; i<ItemsMenu.length; i++)
  {
    if (i==item1 && item2==-1 && !(title3 != "" && item2 == -1)) str1 += ItemsMenu[i][0].name;
    else 
    {
      if (i==item1) str1 += "<SPAN class=father>";
      str1 += "<A href='" +  ItemsMenu[i][0].link + "' title='" + ItemsMenu[i][0].title + "'>" +
           ItemsMenu[i][0].name + "</A>";
      if (i==item1) str1 += "</SPAN>";
    }
    if (i != ItemsMenu.length-1) str1 += " | ";
  }

  // Меню второго уровня
  if (item1 !=0  /*item2 != -1 || (item1 == 1 || item1 == 2)*/)  
  {
    for (i=0; i<ItemsMenu[item1][1].length; i++)
    {
      if (i==item2 && title3=="") str2 += ItemsMenu[item1][1][i].name;
      else 
      {
        if (i==item2) str2 += "<SPAN class=father>";
        str2 += "<A href='" +  ItemsMenu[item1][1][i].link + "' title='" + ItemsMenu[item1][1][i].title + "'>" +
             ItemsMenu[item1][1][i].name + "</A>";
        if (i==item2) str2 += "</SPAN>";
      }
      if (i != ItemsMenu[item1][1].length-1) str2 += " | ";
    }
  }

  // Хлебные крошки
  if (title3 != "" && item2 == -1)
  {
    str3 += "<A href='" +  ItemsMenu[0][0].link + "' title='" + ItemsMenu[0][0].title + "'>" +
         ItemsMenu[0][0].name + "</A>";
    str3 += "&nbsp;&rarr;&nbsp;"+title3;
  } 
  else if (title3 != "")
  {
    str3 += "<A href='" +  ItemsMenu[0][0].link + "' title='" + ItemsMenu[0][0].title + "'>" +
         ItemsMenu[0][0].name + "</A>";
    str3 +="&nbsp;&rarr;&nbsp;";
    str3 +="<A href='" +  ItemsMenu[item1][0].link + "' title='" + ItemsMenu[item1][0].title + "'>" +
         ItemsMenu[item1][0].name + "</A>";
    str3 +="&nbsp;&rarr;&nbsp;";
    str3 += "<A href='" +  ItemsMenu[item1][1][item2].link + "' title='" + ItemsMenu[item1][1][item2].title + "'>" +
         ItemsMenu[item1][1][item2].name + "</A>";
    str3 += "&nbsp;&rarr;&nbsp;"+title3;
  }

  // Вывод меню

  str += "<DIV class=menu>"
  if (pos=="up")
  {
    str += str1;
    if (str2 != "") str += "<BR>"+str2;
    if (str3 != "") str += "<BR>"+str3;
  }
  else
  {
    if (str3 != "") str += str3+"<BR>";
    if (str2 != "") str += str2+"<BR>";
    str += str1;
  }
  str += "</DIV>"

  document.write(str);
}


// Универсальный Зачетный класс (C) март, 2000, А.А.Дуванов
// Объект CheckTasks длЯ проверки решений Зачетного класса
//---------------------------------------------------------

// Рекомендации по использованию
// -----------------------------
// 1) Создать объект до входа в зачетный класс
// 2) По событию click на кнопке type="reset" вызывать метод Ini();
//    form - ссылка на форму, в которую "одет" Зачетный класс
// 3) Решение задачи с номером i фиксировать методом Check(i);
// 4) Общую оценку выводить методом Bonus();


// Конструктор объекта
// -------------------
// Входные данные конструктора
// num  - число задач
// form - форма, в которую одет зачетный класс
// rez  - основа имени длЯ строки, в которую выводитсЯ сообщение
//        о правильности выполнениЯ i-го заданиЯ.
//        Например, пусть основа есть "result". Тогда теги INPUT
//        длЯ вывода информационного сообщениЯ должны иметь имена:
//        "result1" -- длЯ первой задачи
//        "result2" -- длЯ второй задачи
//         ...
// Можно не задавать аргумент rez, тогда по умолчанию он будет
// определен как "result".
                                 
function CheckTasks(num, forma, rez)
{
  // свойства объекта
  this.Num        = num;            // число заданий
  this.Forma      = forma;
  this.Task       = new Array();    // если задача решалась -- true
  this.Error      = 0;              // число ошибок
  this.Yes        = "верно";        // верный ответ
  this.No         = "есть ошибки";  // неверный ответ
  this.Answer;                      // результат проверки ответа
  this.Rez = rez ? rez:"result";    // основа имени тега с инф. сообщением

  // методы объекта
  this.Ini   = _Ini;   // начальные установки
  this.Check = _Check; // проверка заданиЯ
  this.Bonus = _Bonus; // вывод оценки

  for(var i=0; i<this.Num; i++) this.Task[i] = false; // задачи не решались
  this.Forma.reset();
}


//--------------------------------------------------------
// начальные установки
// -------------------
function _Ini()
{
  this.Error = 0;                                     // ошибок нет
  for(var i=0; i<this.Num; i++) this.Task[i] = false; // задачи не решались
  this.Forma.reset();

}

//--------------------------------------------------------
// Фиксирование решениЯ задачи с номером ntask
// -------------------------------------------
// Задачи нумеруютсЯ от 1 до this.Num

function _Check(ntask)
{
  // Защита от неверных данных
  if (ntask < 1 || ntask > this.Num)
  { alert("Неверный номер задачи: "+ntask); return;}

  this.Task[ntask-1] = true;                 // задача решалась
  if (this.Answer == this.No) this.Error++;  // ошибки суммируютсЯ
  var temp = this.Answer;
  this.Forma[this.Rez+ntask].value = temp;

  //eval("this.Forma.result"+ntask+".value=temp");
}

//--------------------------------------------------------
// Вывести оценку
// --------------
// Алгоритм определениЯ оценки:
//
// 5 - ошибок нет
// 4 - ошибок меньше 2/5 от числа задач
// 3 - ошибок меньше 1/2 от числа задач
// 2 - в остальных случаЯх

function  _Bonus()
{
   var result = "";
   var bonus;
   var ntask;

   // Проверим, все ли задачи были решены
   ntask = 0;
   for(var i=0; i<this.Num; i++)
     if (this.Task[i]) ntask++;
     else result += eval(i+1)+", ";
   // задачи решены все, вычислЯем оценку
   if (ntask == this.Num)
   {
     if (!this.Error)                    bonus = 5;
     else if (this.Error < 2*this.Num/5) bonus = 4;
     else if (this.Error < this.Num/2)   bonus = 3;
     else                                bonus = 2;
     //alert("\nВаша оценка: "+bonus+"\n"+
     //      "Число ошибок: "+ this.Error);
     var arg = Array(bonus, this.Error);
     // Показать оценку во всплывающем окне

     showBonus(bonus-1, this.Error);
   }
   // задачи решены не все, сообщаем, какие не решались
   else
   {
    var str=result;
    if (result.charAt(result.length-2) == ",")
          str = result.substring(0,result.length-2);
     showNotSolve("Не решены задания:<BR> " + str);
    //alert("\nНе решены задани\я:\n" + str);
   }
}

var nameRU = new Array("Незнайка","Незнайка","Торопыжка","Студент","Профессор");
var picNameRU  = new Array(
       "<IMG src=./pic/prav00.gif width=140 height=150 border=0 "+
            "class=field "+
            "alt=Незнайка hspace=0 vspace=0 "+
            "onmouseover=\"this.src=\'./pic/prav01.gif\'\" "+
            "onmouseout=\"this.src=\'./pic/prav00.gif\'\">",

       "<IMG src=./pic/prav00.gif width=140 height=150 border=0 "+
            "class=field "+
            "alt=Незнайка hspace=0 vspace=0 "+
            "onmouseover=\"this.src=\'./pic/prav01.gif\'\" "+
            "onmouseout=\"this.src=\'./pic/prav00.gif\'\">",

       "<IMG src=./pic/prav10.gif width=140 height=150 border=0 "+
            "class=field "+
            "alt=Торопыжка hspace=0 vspace=0 "+
            "onmouseover=\"this.src=\'./pic/prav11.gif\'\" "+
            "onmouseout=\"this.src=\'./pic/prav10.gif\'\">",

       "<IMG src=./pic/prav20.gif width=140 height=150 border=0 "+
            "class=field "+
            "alt=\"Студент\" hspace=0 vspace=0 "+
            "onmouseover=\"this.src=\'./pic/prav21.gif\'\" "+
            "onmouseout=\"this.src=\'./pic/prav20.gif\'\">",

       "<IMG src=./pic/prav30.gif width=140 height=150 border=0 "+
            "class=field "+
            "alt=Профессор hspace=0 vspace=0 "+
            "onmouseover=\"this.src=\'./pic/prav31.gif\'\" "+
            "onmouseout=\"this.src=\'./pic/prav30.gif\'\">");

// Показать оценку во всплывающем блоке 
/*
function showBonus (bonus, error)
{
  var win = window.open("", null, "top=100,left=150,width=340,height=390");
  win.document.open();
  var str = 
'<STYLE>\n'+
'BODY {background:#EEE5DB;font-family:sans-serif;font-size:12pt;}\n'+
'.field {border:5px ridge white;}\n'+
'.header {text-align:center;color: #009900;font-weight:bold;font-size:20pt;}\n'+
'</STYLE>\n'+
'<BODY bgcolor=#EEE5DB text=#4C3300 '+
' onload="document.title=\'Оценка зачётного класса\'"'+
' onblur="window.close()"'+
' onkeypress="if (event.keyCode==27) {window.close()}">'+
'<P class=header>'+nameRU[bonus]+
'<P align=center>'+picNameRU[bonus]+
'<P class=header>Число ошибок: '+error+
'</BODY>';
  win.document.write(str);
  win.document.close();
}
*/

/*
var showResult = false;

// Показать оценку во всплывающем блоке 
function showBonus (bonus, error)
{

 Ext.get('ozenka').on('click', function(){
   Ext.MessageBox.alert(nameRU[bonus], 
       picNameRU[bonus]+'<BR><BR><BIG>Число ошибок: '+error+'</BIG>', showResult);
    });
}

*/

var okwidth=74; // ширина кнопки ok


// Показать оценку во всплывающем блоке 
function showBonus (bonus, error)
{
  var str = 
  '<DIV class="title">Оценка<IMG class=close src="pic/window/close.png" border=0 alt=""'+
        ' onmouseup   ="EndOzenka()"'+
        ' onmousedown ="this.src=\'pic/window/closeclick.png\'"'+
        ' onmouseover ="this.src=\'pic/window/closeover.png\'"'+
        ' onmouseout  ="this.src=\'pic/window/close.png\'"></DIV>'+
  '<DIV class=header>'+nameRU[bonus]+'</DIV>'+
  '<DIV class=pic>'+picNameRU[bonus]+'</DIV>'+
  '<DIV class=err>Число ошибок: '+error+'</DIV>'+  
  '<IMG id=ok src="pic/window/ok.png" border=0 alt=""'+
        ' onmouseup   ="EndOzenka()"'+
        ' onmousedown ="this.src=\'pic/window/okclick.png\'"'+
        ' onmouseover ="this.src=\'pic/window/okover.png\'"'+
        ' onmouseout  ="this.src=\'pic/window/ok.png\'"></DIV>';

//  '<div class="x-window-tl"><div class="x-window-tr"><div class="x-window-tc"></div></div></div>'+
//  '<div class="x-window-ml"><div class="x-window-mr"><div class="x-window-mc"><h3>' + 'оценка' + '</h3>'+ '</div></div></div>'+
//  '<div class="x-window-bl"><div class="x-window-br"><div class="x-window-bc">'+picNameRU[bonus]+'</div></div></div>';

  maskon();

  // Координаты страницы документа в окне браузера 
  var ScrollOffsets = new Array(2);
  ScrollOffsets = getScrollOffsets();

  // Размеры блока 
  var width  = 200;
  var height = 300;
  // Вывести блок с оценкой в середину текущего окна
  var left = ScrollOffsets[0] +  Math.round((getInnerWidth()-width)/2);
  var top  = ScrollOffsets[1] +  Math.round((getInnerHeight()-height)/2);
  
  document.getElementById("ozenka").style.left=left+"px";
  document.getElementById("ozenka").style.top=top+"px";
  document.getElementById("ozenka").style.width=width+"px";
  document.getElementById("ozenka").style.height=height+"px";

  // Вывести содержимое 
  document.getElementById("ozenka").innerHTML=str;
  document.getElementById("ok").style.left= Math.round((width-okwidth)/2)+"px";
  document.getElementById("ozenka").style.display="block";
}

function EndOzenka()
{
  document.getElementById("mask").style.display="none";
  document.getElementById("ozenka").style.display="none";

  // Показать все select на странице (для ie)
  selectShow();

}

// Замаскировать документ
function maskon()
{
  // Назначить ширину и высоту блока mask на весь документ
  document.getElementById("mask").style.height=getDocumentHeight()+"px";
  document.getElementById("mask").style.width=getDocumentWidth()+"px";

  // Показать блок mask на экране
  document.getElementById("mask").style.display="block";
  
  // Спрятать все select на странице (для ie)
  selectHidden();
}

// Показать сообщение "Не решены задания: "
function showNotSolve(text)
{
  var str = 
  '<DIV class="title">Сообщение<IMG class=close src="pic/window/close.png" border=0 alt=""'+
        ' onmouseup   ="EndOzenka()"'+
        ' onmousedown ="this.src=\'pic/window/closeclick.png\'"'+
        ' onmouseover ="this.src=\'pic/window/closeover.png\'"'+
        ' onmouseout  ="this.src=\'pic/window/close.png\'"></DIV>'+
  '<DIV class=err1><IMG style="margin-right:20px" src="pic/window/icon-warning.gif" align=left hspace=10 vspace=11 alt="">'
        +text+'</DIV>'+  
  '<IMG id=ok style="clear:left" src="pic/window/ok.png" border=0 alt=""'+
        ' onmouseup   ="EndOzenka()"'+
        ' onmousedown ="this.src=\'pic/window/okclick.png\'"'+
        ' onmouseover ="this.src=\'pic/window/okover.png\'"'+
        ' onmouseout  ="this.src=\'pic/window/ok.png\'"></DIV>';

  maskon();

  // Координаты страницы документа в окне браузера 
  var ScrollOffsets = new Array(2);
  ScrollOffsets = getScrollOffsets();

  // Размеры блока 
  var width  = 400;
  var height = 150;
      
  // Вывести блок  в середину текущего окна
  var left = ScrollOffsets[0] +  Math.round((getInnerWidth()-width)/2);
  var top  = ScrollOffsets[1] +  Math.round((getInnerHeight()-height)/2);
  
  document.getElementById("ozenka").style.left=left+"px";
  document.getElementById("ozenka").style.top=top+"px";
  document.getElementById("ozenka").style.width=width+"px";
  document.getElementById("ozenka").style.height=height+"px";

  // Вывести содержимое 
  document.getElementById("ozenka").innerHTML=str;
  document.getElementById("ok").style.left= Math.round((width-okwidth)/2)+"px";
  document.getElementById("ozenka").style.display="block";

}

// Показать модальное окно с HTML-текстом
function showModal(w, h, title, contents)
{
  var str = 
  '<DIV class="title">' + title +'<IMG class=close src="pic/window/close.png" border=0 alt=""'+
        ' onmouseup   ="EndOzenka()"'+
        ' onmousedown ="this.src=\'pic/window/closeclick.png\'"'+
        ' onmouseover ="this.src=\'pic/window/closeover.png\'"'+
        ' onmouseout  ="this.src=\'pic/window/close.png\'"></DIV>'+
  '<DIV class=contents>' +contents+'</DIV>'+  
  '<IMG id=ok style="clear:left" src="pic/window/ok.png" border=0 alt=""'+
        ' onmouseup   ="EndOzenka()"'+
        ' onmousedown ="this.src=\'pic/window/okclick.png\'"'+
        ' onmouseover ="this.src=\'pic/window/okover.png\'"'+
        ' onmouseout  ="this.src=\'pic/window/ok.png\'"></DIV>';

  maskon();

  // Координаты страницы документа в окне браузера 
  var ScrollOffsets = new Array(2);
  ScrollOffsets = getScrollOffsets();

  // Размеры блока 
  var width  = w;
  var height = h;
      
  // Вывести блок  в середину текущего окна
  var left = ScrollOffsets[0] +  Math.round((getInnerWidth()-width)/2);
  var top  = ScrollOffsets[1] +  Math.round((getInnerHeight()-height)/2);
  
  document.getElementById("ozenka").style.left=left+"px";
  document.getElementById("ozenka").style.top=top+"px";
  document.getElementById("ozenka").style.width=width+"px";
  document.getElementById("ozenka").style.height=height+"px";

  // Вывести содержимое 
  document.getElementById("ozenka").innerHTML=str;
  document.getElementById("ok").style.left= Math.round((width-okwidth)/2)+"px";
  document.getElementById("ozenka").style.display="block";

}




function getScrollOffsets()
{
 return returnOffset(
   window.pageXOffset || document.documentElement.scrollLeft || document.body.scrollLeft,
   window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop);
}

function returnOffset(l,t)
{
  var result = [l, t];
  result.left = l;
  result.top = t;
  return result;
}

function getDocumentHeight()
{
  var scrollHeight = (document.compatMode != "CSS1Compat") ? document.body.scrollHeight : document.documentElement.scrollHeight;
  return scrollHeight;
}

function getDocumentWidth()
{
  var scrollWidth = (document.compatMode != "CSS1Compat") ? document.body.scrollWidth : document.documentElement.scrollWidth;
  return scrollWidth;

} 

function getInnerWidth()
{
  var h = self.innerWidth;
  if (isNaN(h)) h = document.documentElement.clientWidth;
  return h; 
}

function getInnerHeight()
{
  var h = self.innerHeight;
  if (isNaN(h)) h = document.documentElement.clientHeight;
  return h; 
}

// Спрятать все select на странице
function selectHidden()
{
 if (isIE())
 {
   for(var i=0; i<document.all.length;i++)
     if(document.all[i].tagName == "SELECT") document.all[i].style.visibility="hidden"; 
 }
}

// Показать все select на странице
function selectShow()
{
 if (isIE())
 {
   for(var i=0; i<document.all.length;i++)
     if(document.all[i].tagName == "SELECT") document.all[i].style.visibility="visible"; 
 }
}

function isIE()
{
 return (navigator.userAgent.indexOf("MSIE") == -1) ? false:true; 
}
